using System;

namespace TimedDoor
{
    public class TimeredClosingDoor : xxxx, xxxxx
    {
        private readonly TimerDoorWrapper timerDoorWrapper;

        public TimeredClosingDoor(TimerDoorWrapper timerDoorWrapper)
        {
            xxxxxxx                             // référence ver le timer custom injecté
            timerDoorWrapper.RegisterDoor(this); // je m'enregistre auprès du timer custom injecté pour le rappel automatique de OnTimerOutEvent
        }

        public xxxxx void Open()
        {
            Console.WriteLine("Open Timed Door");
            xxxxxxx  // démarre timer
        }

        public xxxx void Close()
        {
            Console.WriteLine("Closing Timed Door");
        }


        // implémente l'interface de callback IOnTimerOutEvent
        
    }
}